Webhook Resend

 
Using this endpoint you can resend webhooks (pingbacks and postbacks) for up to 100 specified tasks.
Note: Your account will not be double-charged for resending a webhook.

Pricing

Your account will not be charged for using this API

checked POST

All POST data should be sent in JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you can specify up to 100 identifiers;
each identifier in the task array must be specified as a separate object


 

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

total execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO, can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataarray

contains the parameters passed in the URL of the GET request

    resultarray

array of results
the value of this array is always null;
you can get the results by the preferred method of results delivery (pingback or postback) you specified when setting a task

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/appendix/webhook_resend" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
--data-raw '[
  {
    "id": "08161139-0001-0066-1000-06491d097ed5"
  }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// simple way to get a result
$post_array[] = array(
   "id" => "08161139-0001-0066-1000-06491d097ed5"
);
$post_array[] = array(
   "id" => "08161340-0001-0066-1000-8b091c84af4f"
);
$post_array[] = array(
   "id" => "08161703-0001-0066-1000-597aa65619fc"
);
try {
   // POST /v3/appendix/webhook_resend
   // the full list of possible parameters is available in documentation
   $result = $client->post('/v3/appendix/webhook_resend', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];
post_array.push({
  "id": "08161139-0001-0066-1000-06491d097ed5"
});
post_array.push({
  "id": "08161340-0001-0066-1000-8b091c84af4f"
});
post_array.push({
  "id": "08161703-0001-0066-1000-597aa65619fc"
});
const axios = require('axios');
axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/appendix/webhook_resend',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip
client = RestClient("login", "password")
post_data = dict()
post_data[len(post_data)] = dict(
    id="08161139-0001-0066-1000-06491d097ed5"
)
post_data[len(post_data)] = dict(
    id="08161340-0001-0066-1000-8b091c84af4f"
)
post_data[len(post_data)] = dict(
    id="08161703-0001-0066-1000-597aa65619fc"
)
# POST /v3/appendix/webhook_resend
# the full list of possible parameters is available in documentation
response = client.post("/v3/appendix/webhook_resend", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task on_page_pages()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to get a result
            postData.Add(new
            {
                id = "08161139-0001-0066-1000-06491d097ed5"               
            });
            postData.Add(new
            {
                id = "08161340-0001-0066-1000-8b091c84af4f"               
            });
            postData.Add(new
            {
                id = "08161703-0001-0066-1000-597aa65619fc"               
            });
            // POST /v3/appendix/webhook_resend
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/appendix/webhook_resend", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20210818",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1337 sec.",
  "cost": 0,
  "tasks_count": 3,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "08161139-0001-0066-1000-06491d097ed5",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0082 sec.",
      "cost": 0,
      "result_count": 0,
      "path": [
        "v3",
        "appendix",
        "webhook_resend"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "id": "08161340-0001-0066-1000-8b091c8489db",
        "se": "google",
        "se_type": "organic",
        "language_name": "English",
        "location_name": "London,England,United Kingdom",
        "keyword": "marcus rashford",
        "priority": 2,
        "pingback_url": "https://your-server.com/pingscript?id=$id&tag=$tag",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    },
    {
      "id": "08161340-0001-0066-1000-8b091c84af4f",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0087 sec.",
      "cost": 0,
      "result_count": 0,
      "path": [
        "v3",
        "appendix",
        "webhook_resend"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "se": "google",
        "se_type": "organic",
        "language_name": "English",
        "location_name": "London,England,United Kingdom",
        "keyword": "marcus rashford",
        "priority": 2,
        "postback_url": "https://your-server.com/postbackscript.php?id=$id&tag=$tag",
        "postback_data": "advanced",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    },
    {
      "id": "08161703-0001-0066-1000-597aa65619fc",
      "status_code": 40503,
      "status_message": "'pingback' or 'postback' not supported in this function.",
      "time": "0.0045 sec.",
      "cost": 0,
      "result_count": 0,
      "path": [
        "v3",
        "appendix",
        "webhook_resend"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "language_name": "English",
        "location_name": "London,England,United Kingdom",
        "keyword": "marcus rashford",
        "priority": 2,
        "se": "google",
        "se_type": "organic",
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    }
  ]
}